RegionDistributionException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: RegionDistributionException

Package org.apache.geode.cache

# Class RegionDistributionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.RoleException
org.apache.geode.cache.RegionRoleException
org.apache.geode.cache.RegionDistributionException

All Implemented Interfaces:
  `Serializable`

@Deprecated public class RegionDistributionException extends RegionRoleException
Deprecated.
the MembershipAttributes API is scheduled to be removed
Indicates that an attempt to send a distributed cache event to one or more `required roles` may have failed. Failure may be caused by departure of one or more required roles while sending the message to them. If the region scope is DISTRIBUTED_NO_ACK or GLOBAL then failure may be caused by one or more required roles not acknowledging receipt of the message.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegionDistributionException(String s, String regionFullPath, Set failedRoles)`
  Deprecated.
  Constructs a `RegionDistributionException` with a message.
  `RegionDistributionException(String s, String regionFullPath, Set failedRoles, Throwable ex)`
  Deprecated.
  Constructs a `RegionDistributionException` with a message and a cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set`
  `getFailedRoles()`
  Deprecated.
  Returns the required roles that caused this exception.

  ### Methods inherited from class org.apache.geode.cache.RegionRoleException

  `getRegionFullPath`

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RegionDistributionException

    public RegionDistributionException(String s, String regionFullPath, Set failedRoles)
    Deprecated.
    Constructs a `RegionDistributionException` with a message.
    Parameters:
      `s` - the String message
      `regionFullPath` - full path of region for which access was attempted
      `failedRoles` - the required roles that caused this exception

  - ### RegionDistributionException

    public RegionDistributionException(String s, String regionFullPath, Set failedRoles, Throwable ex)
    Deprecated.
    Constructs a `RegionDistributionException` with a message and a cause.
    Parameters:
      `s` - the String message
      `regionFullPath` - full path of region for which access was attempted
      `failedRoles` - the required roles that caused this exception
      `ex` - the Throwable cause

- ## Method Details

  - ### getFailedRoles

    public Set getFailedRoles()
    Deprecated.
    Returns the required roles that caused this exception. One or more roles failed to receive a cache distribution message or acknowledge receipt of that message.
    Returns:
      the required roles that caused this exception